Bug 1335402 - guinea pig: write a Jenkins job to catch unsatisfied dependencies in new builds of beaker
Summary: guinea pig: write a Jenkins job to catch unsatisfied dependencies in new buil...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: rpmdeplint
Classification: Community
Component: general
Version: unreleased
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 1.0
Assignee: Dan Callaghan
QA Contact:
URL:
Whiteboard:
Depends On: 1339275
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-12 08:06 UTC by Dan Callaghan
Modified: 2016-07-25 00:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-01 17:30:51 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2016-05-12 08:06:05 UTC
We can use Beaker as a guinea pig for rpmdeplint, to validate our approach.

The outcome of this bug should be a working Jenkins job which will run for every new build of the beaker package in Brew, and will fail if there are any unsatisfied dependencies.

Beaker's target deployment platform is latest RHEL6 plus this repo of additional packages:

https://beaker-project.org/yum/server/RedHatEnterpriseLinux6/

Comment 1 Dan Callaghan 2016-05-12 08:09:21 UTC
Another variation, which might be more or less difficult, would be to test against latest RHEL7 + EPEL7.

We are not targetting RHEL7 for deployment right now, but we want to in future, and so in preparation we have been building beaker packages for RHEL7. For our RHEL7 deployment we will be using EPEL7 rather than a "pile of random packages" repo maintained by us.

Comment 3 Dan Callaghan 2016-05-12 08:21:26 UTC
I'm not sure if it's possible to make the job fire on scratch builds -- normally you would want to ignore those, and not test them -- but if we can, it will give us a simple way to verify that the job actually works. We can just submit a scratch build of beaker with intentionally broken Requires hacked into the .spec.

If we are only triggering on eng-rhel-6-candidate tagged builds, that makes things a bit messier... we can still build intentionally broken packages into that tag (and then untag them after) but it leaves a permanent record in Brew, so it would leave a bit of a mess if we did lots of them.

Comment 4 Dan Callaghan 2016-05-25 14:10:50 UTC
Jon and I have been working on this.

Comment 5 Dan Callaghan 2016-05-25 21:45:09 UTC
Jenkins job definition: http://gerrit.beaker-project.org/4935

Comment 7 Dan Callaghan 2016-06-01 17:30:51 UTC
This is up and running now.


Note You need to log in before you can comment on or make changes to this bug.